com.corticon.rulesemf.canonicalvocabularymodel

## Interface ExtendedPersistentAttributes

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ExtendedPersistentAttributes
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Extended Persistent Attributes'.

  The following features are supported:

  - `Table Name`
  - `Primary Key Column`
  - `Extended Table Column`
  - `Extended Attribute Column`
  - `Extended Type Column`
  - `Entity Mappings`
  - `Data Type Mappings`
  See Also:
    `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getDataTypeMappings()` Returns the value of the 'Data Type Mappings' containment reference list.
    `org.eclipse.emf.common.util.EList` | `getEntityMappings()` Returns the value of the 'Entity Mappings' containment reference list.
    `VocabularyString` | `getExtendedAttributeColumn()` Returns the value of the 'Extended Attribute Column' containment reference
    `VocabularyString` | `getExtendedTableColumn()` Returns the value of the 'Extended Table Column' containment reference
    `VocabularyString` | `getExtendedTypeColumn()` Returns the value of the 'Extended Type Column' containment reference
    `VocabularyString` | `getPrimaryKeyColumn()` Returns the value of the 'Primary Key Column' containment reference
    `VocabularyString` | `getTableName()` Returns the value of the 'Table Name' containment reference
    `void` | `setExtendedAttributeColumn(VocabularyString value)` Sets the value of the '`Extended Attribute Column`' containment reference
    `void` | `setExtendedTableColumn(VocabularyString value)` Sets the value of the '`Extended Table Column`' containment reference
    `void` | `setExtendedTypeColumn(VocabularyString value)` Sets the value of the '`Extended Type Column`' containment reference
    `void` | `setPrimaryKeyColumn(VocabularyString value)` Sets the value of the '`Primary Key Column`' containment reference
    `void` | `setTableName(VocabularyString value)` Sets the value of the '`Table Name`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTableName

          VocabularyString getTableName()

      Returns the value of the 'Table Name' containment reference.

      If the meaning of the 'Table Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Table Name' containment reference.
      See Also:
        `setTableName(VocabularyString)`, `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes_TableName()`

    - #### setTableName

          void setTableName(VocabularyString value)

      Sets the value of the '`Table Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Table Name' containment reference.
      See Also:
        `getTableName()`

    - #### getPrimaryKeyColumn

          VocabularyString getPrimaryKeyColumn()

      Returns the value of the 'Primary Key Column' containment reference.

      If the meaning of the 'Primary Key Column' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Column' containment reference.
      See Also:
        `setPrimaryKeyColumn(VocabularyString)`, `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes_PrimaryKeyColumn()`

    - #### setPrimaryKeyColumn

          void setPrimaryKeyColumn(VocabularyString value)

      Sets the value of the '`Primary Key Column`' containment reference.
      Parameters:
        `value` - the new value of the 'Primary Key Column' containment reference.
      See Also:
        `getPrimaryKeyColumn()`

    - #### getExtendedTableColumn

          VocabularyString getExtendedTableColumn()

      Returns the value of the 'Extended Table Column' containment reference.

      If the meaning of the 'Extended Table Column' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extended Table Column' containment reference.
      See Also:
        `setExtendedTableColumn(VocabularyString)`, `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes_ExtendedTableColumn()`

    - #### setExtendedTableColumn

          void setExtendedTableColumn(VocabularyString value)

      Sets the value of the '`Extended Table Column`' containment reference.
      Parameters:
        `value` - the new value of the 'Extended Table Column' containment reference.
      See Also:
        `getExtendedTableColumn()`

    - #### getExtendedAttributeColumn

          VocabularyString getExtendedAttributeColumn()

      Returns the value of the 'Extended Attribute Column' containment reference.

      If the meaning of the 'Extended Attribute Column' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extended Attribute Column' containment reference.
      See Also:
        `setExtendedAttributeColumn(VocabularyString)`, `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes_ExtendedAttributeColumn()`

    - #### setExtendedAttributeColumn

          void setExtendedAttributeColumn(VocabularyString value)

      Sets the value of the '`Extended Attribute Column`' containment reference.
      Parameters:
        `value` - the new value of the 'Extended Attribute Column' containment reference.
      See Also:
        `getExtendedAttributeColumn()`

    - #### getExtendedTypeColumn

          VocabularyString getExtendedTypeColumn()

      Returns the value of the 'Extended Type Column' containment reference.

      If the meaning of the 'Extended Type Column' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extended Type Column' containment reference.
      See Also:
        `setExtendedTypeColumn(VocabularyString)`, `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes_ExtendedTypeColumn()`

    - #### setExtendedTypeColumn

          void setExtendedTypeColumn(VocabularyString value)

      Sets the value of the '`Extended Type Column`' containment reference.
      Parameters:
        `value` - the new value of the 'Extended Type Column' containment reference.
      See Also:
        `getExtendedTypeColumn()`

    - #### getEntityMappings

          org.eclipse.emf.common.util.EList getEntityMappings()

      Returns the value of the 'Entity Mappings' containment reference list. The list contents are of type `EntityMapping`.

      If the meaning of the 'Entity Mappings' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Entity Mappings' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes_EntityMappings()`

    - #### getDataTypeMappings

          org.eclipse.emf.common.util.EList getDataTypeMappings()

      Returns the value of the 'Data Type Mappings' containment reference list. The list contents are of type `DataTypeMapping`.

      If the meaning of the 'Data Type Mappings' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Data Type Mappings' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getExtendedPersistentAttributes_DataTypeMappings()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.